'////////////////////////////////////////////////////////////////////////////////
'/ CREDIT: Donavon West (Microsoft MCP)
'/ SOURCE: http://www.liveside.net/blogs/developer/Default.aspx?p=2
'////////////////////////////////////////////////////////////////////////////////

'DESCRIPTION
'===========
'The ALERT.VBS file contains the two core functions disabled
'by the Gadget API for JavaScript:
' - alert()
' - confirm()
'
'The features are not disabled in VBSCRIPT, so that is why this
'file is included in the project. The important note is that
'Gadgets are not supported to have messages boxes, but it is
'an important requirement for this project as it is really 
'needed for some areas...
'
'NOTE: External dependencies should be avoided if at all 
'      possible.

'============================================================
'FUNCTION:   vbalert( string , string )
'PARAMETERS: prompt (string) main message to be displayed
'            title (string) title of alert box
'RETURNS:    N/A
'CREATED BY: Donavan West
'CREATED ON: Monday, December 25, 2006 11:49 PM 
'DESCRIPTION:
'Simulates JavaScripts alert() function
'============================================================
sub vbalert(prompt, title)
    MsgBox prompt, 48 , title
end sub

'============================================================
'FUNCTION:   vbconfirm ( string , string )
'PARAMETERS: prompt (string) main message to be displayed
'            title (string) title of alert box
'RETURNS:    true/false (ok / cancel - respectfully)
'CREATED BY: Donavan West
'CREATED ON: Monday, December 25, 2006 11:49 PM 
'DESCRIPTION:
'simulate JavaScripts confirm() function
'============================================================
function vbconfirm(prompt, title)
    dim res
    res = MsgBox (prompt, 33, title)
    if res=1 then
        vbconfirm = true
    else
        vbconfirm = false
    end if
end function
