﻿////////////////////////////////////////////////////////////////////////////////
//
//  THIS CODE IS NOT APPROVED FOR USE IN/ON ANY OTHER UI ELEMENT OR PRODUCT COMPONENT.
//  Copyright (c) 2007 David E. Craig.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////

/*
DESCRIPTION
===========
FO_ERROR_EVENTS.JS is the core event file for all code
specific to the FO_ERROR.HTML form.

NOTE: External dependencies are added in the parent HTML
*/

/*============================================================
FUNCTION:   init ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/28/2007
DESCRIPTION:
Sets the window timeout to 6 seconds, then laods the error
details from the settings and places them on the form.
==============================================================*/ 
function init()
{
    // read the settings...
    var err = System.Gadget.Settings.readString("errorInfo");
    
    document.getElementById("error").innerText = err;
    
    window.setTimeout("initFocus()",300);
}

/*============================================================
FUNCTION:   initFocus ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/28/2007
DESCRIPTION:
Sets focus to the form and then sets the timeout.
==============================================================*/ 
function initFocus()
{    
    getFocus();
    window.setTimeout("close()",7000);
}

/*============================================================
FUNCTION:   close ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/28/2007
DESCRIPTION:
Closes the flyout window.
==============================================================*/ 
function close()
{
    System.Gadget.Flyout.show=false;
}

/*============================================================
FUNCTION:   okButton_onclick ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/28/2007
DESCRIPTION:
Closes the flyout window.
==============================================================*/ 
function okButton_onclick() 
{
    close();
}

