'////////////////////////////////////////////////////////////////////////////////
'//
'//  THIS CODE IS NOT APPROVED FOR USE IN/ON ANY OTHER UI ELEMENT OR PRODUCT COMPONENT.
'//  Copyright (c) 2007 David E. Craig.  All rights reserved.
'//
'////////////////////////////////////////////////////////////////////////////////
'
'DESCRIPTION
'===========
'The CORE.JS file contains all the functions that are core
'to the whole gadget. Different features of the gadget will
'use these same et of functions again and again.
'
'NOTE: External dependencies should be avoided if at all 
'      possible.
'

'============================================================
'FUNCTION:   catalogFolder( string )
'PARAMETERS: theFolder (string) path to the folder
'RETURNS:    N/A
'CREATED BY: David E. Craig
'CREATED ON: 5/16/2007
'DESCRIPTION:
'Because we cannot iterate through subfolders in javascript
' we have to perform this specific function in VBSCRIPT
'============================================================
function catalogFolder(theFolder)
    dim fso 
    dim fol
    set fso = getFSO()
    set fol = fso.GetFolder(theFolder.path)
    ' catalog all of the subfolders via a recursive call
    for each f in fol.SubFolders
        dim subFol
        set subFol = System.Shell.itemFromPath(f.Path)
        catalogFolder subFol 
    next
    ' catalog all of the files in the folder
    for each f in fol.Files
        dim theFile
        set theFile = System.Shell.itemFromPath(f.Path)
        ' this calls back into the main_events.js...
        catalogFile theFile
    next
end function

function catalogOnlyFiles(path)
    set fso = getFSO()
    set fol = fso.GetFolder(path)
    for each f in fol.Files
        dim theFile
        set theFile = System.Shell.itemFromPath(f.Path)
        ' this calls back into the main_events.js...
        catalogFile theFile
    next
end function
