﻿////////////////////////////////////////////////////////////////////////////////
//
//  THIS CODE IS NOT APPROVED FOR USE IN/ON ANY OTHER UI ELEMENT OR PRODUCT COMPONENT.
//  Copyright (c) 2007 David E. Craig.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////

/*
DESCRIPTION
===========
FO_CONFIRM2_EVENTS.JS is the core event file for all code
specific to the FO_CONFIRM2.HTML form.

The core Drag/Drop function in MAIN will call here is there
are multiple files that were moved by one operation.

NOTE: External dependencies are added in the parent HTML
*/

/*============================================================
FUNCTION:   init ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/25/2007
DESCRIPTION:
Sets the window timeout to 6 seconds.
==============================================================*/ 
function init()
{
    window.setTimeout("initFocus()",300);
}

/*============================================================
FUNCTION:   initFocus ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/28/2007
DESCRIPTION:
Called to fix a refresh bug and then set the window timout.
==============================================================*/ 
function initFocus()
{    
    getFocus();
    window.setTimeout("close()",7000);
}

/*============================================================
FUNCTION:   close ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/25/2007
DESCRIPTION:
Closes the flyout window.
==============================================================*/ 
function close()
{
    System.Gadget.Flyout.show=false;
}

/*============================================================
FUNCTION:   okButton_onclick ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/25/2007
DESCRIPTION:
Closes the flyout window.
==============================================================*/ 
function okButton_onclick() 
{
    close();
}
