﻿////////////////////////////////////////////////////////////////////////////////
//
//  THIS CODE IS NOT APPROVED FOR USE IN/ON ANY OTHER UI ELEMENT OR PRODUCT COMPONENT.
//  Copyright (c) 2007 David E. Craig.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////

/*
DESCRIPTION
===========
FO_UPDATE_EVENTS.JS is the core event file for all code
specific to the FO_UPDATE.HTML form.

NOTE: External dependencies are added in the parent HTML
*/

/*============================================================
FUNCTION:   init ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/25/2007
DESCRIPTION:
Sets the window timeout to 6 seconds, then loads the:
- filename
- extnesion type
- folder path
from the settings where they were placed by the 
main_events.ondrop function.
==============================================================*/ 
function init()
{
    window.setTimeout("initFocus()",300);
}

/*============================================================
FUNCTION:   initFocus ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/28/2007
DESCRIPTION:
Called to correct a refresh bug. Also sets the window timeout.
==============================================================*/ 
function initFocus()
{    
    getFocus();
}

/*============================================================
FUNCTION:   okButton_onclick ( )
PARAMETERS: N/A
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 04/25/2007
DESCRIPTION:
Closes the flyout window.
==============================================================*/ 
function okButton_onclick() 
{
    if(rdoDownload.checked==true)
        System.Shell.execute(DL_URL,0,0,"");
    if(rdoStop.checked==true)
        saveSetting("stopRemind","true");
    
    System.Gadget.Flyout.show=false;
}

/*============================================================
FUNCTION:   doIt ( object )
PARAMETERS: o (onject) an option button
RETURNS:    N/A
CREATED BY: David E. Craig
CREATED ON: 05/22/2007
DESCRIPTION:
Selects a specific option button passed by (o) and then calls
the OK button...
==============================================================*/ 
function doIt(o)
{
    o.checked='checked';
    okButton_onclick();
}